"use client";

import React from 'react';
import { AppBar, Toolbar, Typography, Button } from '@mui/material';
import { useRouter } from 'next/navigation';

const NavBar = () => {
    const router = useRouter();

    const goToAuctionList = () => {
        router.push('/auction-list');
    };

    return (
        <AppBar position="static">
            <Toolbar>
                <Typography variant="h6" component="div" sx={{ flexGrow: 1 }}>
                    Mon Application
                </Typography>
                <Button color="inherit" onClick={goToAuctionList}>Auction List</Button>
            </Toolbar>
        </AppBar>
    );
};

export default NavBar;
