import Web3  from 'web3';
import { useRouter } from 'next/router';

import abi from '../../dutch-auction/src/build/contracts/DutchAuction.json';
const contractAddress = '0x7Ab92c931dE3398862303718667d41568Cb450b4';

export const checkConnectionMetaMask = async () => {
    const web3Metamask = new Web3(window.ethereum);
    const accounts = await web3Metamask.eth.getAccounts();
    console.log('Accounts:', accounts);
    return accounts;
};

export const contract = () => {
    const web3 = new Web3(new Web3.providers.HttpProvider('http://localhost:7545'));
    const contractAddress = '0x7Ab92c931dE3398862303718667d41568Cb450b4';
    const auctionContract = new web3.eth.Contract(abi.abi, contractAddress);
    return { auctionContract, web3 };
}
